/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-09-29
 * 描述            ：分条机排刀-主记录
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Dev.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Dev.mapper.DevSlapMMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="DEV_SLAP_M", namespace=DevSlapMMapper.class)
public class DevSlapM extends BaseVO implements Serializable {
	/** 
	 * 排刀记录号（'A'+YYMMDD+NNN）
	 */ 
	@Id
	private String serial_no;
	public String getSerial_no() {
		return this.serial_no;
	}
	public void setSerial_no(String serial_no) {
		this.serial_no = serial_no;
	}

	/** 
	 * 机台代码
	 */ 
	@Column
	private String machine_code;
	public String getMachine_code() {
		return this.machine_code;
	}
	public void setMachine_code(String machine_code) {
		this.machine_code = machine_code;
	}

	/** 
	 * 作业计划号
	 */ 
	@Column
	private String schedule_no;
	public String getSchedule_no() {
		return this.schedule_no;
	}
	public void setSchedule_no(String schedule_no) {
		this.schedule_no = schedule_no;
	}

	/** 
	 * 原料卷号
	 */ 
	@Column
	private String material_no;
	public String getMaterial_no() {
		return this.material_no;
	}
	public void setMaterial_no(String material_no) {
		this.material_no = material_no;
	}

	/** 
	 * 原始卷号
	 */ 
	@Column
	private String material_no2;
	public String getMaterial_no2() {
		return this.material_no2;
	}
	public void setMaterial_no2(String material_no2) {
		this.material_no2 = material_no2;
	}

	/** 
	 * 原料卷厚度（mm）
	 */ 
	@Column
	private Double mtr_thk;
	public Double getMtr_thk() {
		return this.mtr_thk;
	}
	public void setMtr_thk(Double mtr_thk) {
		this.mtr_thk = mtr_thk;
	}

	/** 
	 * 原料卷宽度（mm）
	 */ 
	@Column
	private Double mtr_wdt;
	public Double getMtr_wdt() {
		return this.mtr_wdt;
	}
	public void setMtr_wdt(Double mtr_wdt) {
		this.mtr_wdt = mtr_wdt;
	}

	/** 
	 * 分条数
	 */ 
	@Column
	private Long slit_num;
	public Long getSlit_num() {
		return this.slit_num;
	}
	public void setSlit_num(Long slit_num) {
		this.slit_num = slit_num;
	}

	/** 
	 * 排刀套数（圆盘剪组数）
	 */ 
	@Column
	private Long cutter_num;
	public Long getCutter_num() {
		return this.cutter_num;
	}
	public void setCutter_num(Long cutter_num) {
		this.cutter_num = cutter_num;
	}

	/** 
	 * 刀轴宽度（mm）
	 */ 
	@Column
	private Double blade_shaft_wdt;
	public Double getBlade_shaft_wdt() {
		return this.blade_shaft_wdt;
	}
	public void setBlade_shaft_wdt(Double blade_shaft_wdt) {
		this.blade_shaft_wdt = blade_shaft_wdt;
	}

	/** 
	 * 刀片宽度（mm）
	 */ 
	@Column
	private Double blade_wdt;
	public Double getBlade_wdt() {
		return this.blade_wdt;
	}
	public void setBlade_wdt(Double blade_wdt) {
		this.blade_wdt = blade_wdt;
	}

	/** 
	 * 刀隙值（mm）
	 */ 
	@Column
	private Double gap_wdt;
	public Double getGap_wdt() {
		return this.gap_wdt;
	}
	public void setGap_wdt(Double gap_wdt) {
		this.gap_wdt = gap_wdt;
	}

	/** 
	 * 刀隙系数
	 */ 
	@Column
	private Double gap_ratio;
	public Double getGap_ratio() {
		return this.gap_ratio;
	}
	public void setGap_ratio(Double gap_ratio) {
		this.gap_ratio = gap_ratio;
	}

	/** 
	 * 上刀轴第一刀位置
	 */ 
	@Column
	private Double first_pos_t;
	public Double getFirst_pos_t() {
		return this.first_pos_t;
	}
	public void setFirst_pos_t(Double first_pos_t) {
		this.first_pos_t = first_pos_t;
	}

	/** 
	 * 下刀轴第一刀位置
	 */ 
	@Column
	private Double first_pos_b;
	public Double getFirst_pos_b() {
		return this.first_pos_b;
	}
	public void setFirst_pos_b(Double first_pos_b) {
		this.first_pos_b = first_pos_b;
	}

	/** 
	 * 计算开始时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date calc_str_time;
	public Date getCalc_str_time() {
		return this.calc_str_time;
	}
	public void setCalc_str_time(Date calc_str_time) {
		this.calc_str_time = calc_str_time;
	}

	/** 
	 * 计算结束时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date calc_end_time;
	public Date getCalc_end_time() {
		return this.calc_end_time;
	}
	public void setCalc_end_time(Date calc_end_time) {
		this.calc_end_time = calc_end_time;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_opr;
	public String getCreate_opr() {
		return this.create_opr;
	}
	public void setCreate_opr(String create_opr) {
		this.create_opr = create_opr;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

}
